Bug 243317 - devel/concurrencykit: Don't build for 32-bits on powerpc64
Summary: devel/concurrencykit: Don't build for 32-bits on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2020-01-13 12:25 UTC by Piotr Kubaj
Modified: 2020-01-28 00:47 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+


Attachments
patch (852 bytes, patch)
2020-01-13 12:25 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (koobs)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-01-13 12:25:21 UTC
Created attachment 210694 [details]
patch

configure script runs uname -m to check architecture. uname -m prints powerpc on powerpc64. Use uname -p instead.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-14 03:01:02 UTC
Thank you for the report and patch Piotr. Could you:

 - Report the issue or submit a PR upstream [1]
 - Add comment/links to the upstream issue/PR in the patch header
 - Confirm QA for this patch on !ppc !ppc64 ARCH's

[1] https://github.com/concurrencykit/ck
Comment 2 Piotr Kubaj freebsd_committer 2020-01-14 13:39:37 UTC
It looks like this fix is already upstreamed: https://github.com/concurrencykit/ck/commit/999d4612e873bb19867ad1d7043c9c18c7c4d3b9
Comment 3 commit-hook freebsd_committer 2020-01-27 22:04:31 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Jan 27 22:03:48 UTC 2020
New revision: 524448
URL: https://svnweb.freebsd.org/changeset/ports/524448

Log:
  devel/concurrencykit: Don't build for 32-bits on powerpc64

  configure script runs uname -m to check architecture. uname -m prints powerpc on powerpc64. Use uname -p instead.

  PR:		243317
  Approved by:	koobs (maintainer timeout)
  MFH:		2020Q1 (build fix blanket)

Changes:
  head/devel/concurrencykit/Makefile
  head/devel/concurrencykit/distinfo
Comment 4 commit-hook freebsd_committer 2020-01-27 22:05:33 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Jan 27 22:04:39 UTC 2020
New revision: 524449
URL: https://svnweb.freebsd.org/changeset/ports/524449

Log:
  MFH: r524448

  devel/concurrencykit: Don't build for 32-bits on powerpc64

  configure script runs uname -m to check architecture. uname -m prints powerpc on powerpc64. Use uname -p instead.

  PR:		243317
  Approved by:	koobs (maintainer timeout)

  Approved by:	portmgr (fix build blanket)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/devel/concurrencykit/Makefile
  branches/2020Q1/devel/concurrencykit/distinfo
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-28 00:47:42 UTC
^Triage: 

 - Assign to committer that resolved
 - Track merge to quarterly